### Method

# Atspi Text get_range_extents

#### Declaration [src]

    AtspiRect*
    atspi_text_get_range_extents (
      AtspiText* obj,
      gint start_offset,
      gint end_offset,
      AtspiCoordType type,
      GError** error
    )

#### Description [src]

Gets the bounding box for text within a range in an `AtspiText` object. The returned values are meaningful only if the Text has both STATE_VISIBLE and STATE_SHOWING.

#### Parameters

`start_offset`

  Type: `gint`

  A #gint indicating the offset of the first text character for whom boundary information is requested.

`end_offset`

  Type: `gint`

  A #gint indicating the offset of the text character after the last character for whom boundary information is requested.

`type`

  Type: `AtspiCoordType`

  An `AtspiCoordType` indicating the coordinate system to use for the returned values.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AtspiRect`

An `AtspiRect` giving the position and size of the specified range of text.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.